---
title: 'HTML attribute: maxlength'
slug: Web/HTML/Attributes/maxlength
tags:
  - Attribute
  - Attributes
  - Constraint validation
  - HTML
---
<p>{{HTMLSidebar}}{{draft}}</p>

<p><span class="seoSummary">The <strong><code>maxlength</code></strong> attribute defines the maximum number of characters (as UTF-16 code units) the user can enter into an {{htmlelement('input')}} or {{htmlelement('textarea')}}. This must be an integer value 0 or higher.</span> If no maxlength is specified, or an invalid value is specified, the input or textarea has no maximum length.</p>

<p>Any <code>maxlength</code> value must be greater than or equal to the value of <code><a href="">minlength</a></code>, if present and valid. The input will fail constraint validation if the length of the text value of the field is greater than maxlength UTF-16 code units long. Constraint validation is only applied when the value is changed by the user.</p>

<h3 id="Constraint_validation">Constraint validation</h3>

<p>While the browser will generally prevent user from entering more text than the maxlength attribute allows, should the length be longer than the maxlength allows, the read-only {{domxref("ValidityState.tooLong", "tooLong")}} property of a {{domxref("ValidityState")}} object will be true.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;input type="password" maxlength="4"/&gt;
</pre>

<p>{{EmbedLiveSample('Examples', '100%', 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'input.html#attr-input-maxlength', 'maxlength attribute')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', 'input.html#attr-maxlength-accept', 'maxlength attribute')}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.attribute.maxlength")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/HTML/Attributes/minlength">minlength</a></code></li>
 <li><code><a href="/en-US/docs/Web/HTML/Attributes/size">size</a></code></li>
</ul>
